import QtQuick 2.11
import QtQuick.Controls 2.4
import Qt.labs.settings 1.0
import Qt.labs.platform 1.0 as Platform

ApplicationWindow {
    id: window

    visible: true
    width: 640
    height: 480
    title: qsTr("Example")

    Settings {
        id: appSettings

        property alias x: window.x
        property alias y: window.y
        property alias width: window.width
        property alias height: window.height
    }

    Platform.MenuBar {
        id: menuBar1

        Platform.Menu {
            id: settingsToolButton
            title: "File"

            Platform.MenuItem {
                id: settingsMenuItem
                text: "New..."
            }
        }
    }
}
